sigil_0.9.9+dfsg-1ubuntu0.1~esm1_amd64.deb


Advertisement

Description

sigil - multi-platform ebook editor

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename sigil_0.9.9+dfsg-1ubuntu0.1~esm1_amd64.deb
Package name sigil
Package version 0.9.9+dfsg
Package release 1ubuntu0.1~esm1
Package architecture amd64
Package type deb
Category universe/editors
Homepage http://sigil-ebook.com
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.75 MB
Installed size 5.43 MB
Sigil is a free, open source, multi-platform ebook editor.
It is designed to edit books in ePub format.
Features:
* Full UTF-16 support;
* Full EPUB 2 spec support;
* Multiple Views: Book View, Code View and Preview View;
* WYSIWYG editing in Book View;
* Complete control over directly editing EPUB syntax in Code View;
* Table of Contents generator with multi-level heading support;
* Metadata editor with full support for all possible metadata entries (more
than 200) with full descriptions for each;
* User interface translated into many languages;
* Spell checking with default and user configurable dictionaries;
* Full Regular Expression (PCRE) support for Find & Replace;
* Supports import of EPUB and HTML files, images, and style sheets;
* Files can be validated for EPUB compliance with the FlightCrew validator;
* HTML Tidy: all imported files have their formatting corrected, and your
editing can be optionally cleaned.

Alternatives

Package Version Architecture Repository
sigil_0.9.9+dfsg-1ubuntu0.1~esm1_i386.deb 0.9.9+dfsg i386 Ubuntu Updates Universe
sigil_0.9.9+dfsg-1_i386.deb 0.9.9+dfsg i386 Ubuntu Universe
sigil_0.9.9+dfsg-1_amd64.deb 0.9.9+dfsg amd64 Ubuntu Universe
sigil - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libhunspell-1.6-0 -
libhunspell-dev -
libjs-jquery-scrollto -
libjs-mathjax -
libminizip1 >= 1.1
libpcre16-3 >= 2:8.35-4
libpython3.6 >= 3.6.4~rc1
libqt5concurrent5 >= 5.6.0~rc
libqt5core5a >= 5.9.0~beta
libqt5gui5 >= 5.4.0
libqt5printsupport5 >= 5.4.0
libqt5webkit5 >= 5.6.0~rc
libqt5widgets5 >= 5.4.0
libstdc++6 >= 5.2
python3 << 3.7
python3 >= 3.6~
python3-lxml -
sigil-data = 0.9.9+dfsg-1ubuntu0.1~esm1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package sigil_0.9.9+dfsg-1ubuntu0.1~esm1_amd64.deb
Source Package sigil

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install sigil deb package:
    # sudo apt-get install sigil

Changelog

2019-07-31 - Mike Salvatore <mike.salvatore@canonical.com>
sigil (0.9.9+dfsg-1ubuntu0.1~esm1) bionic-security; urgency=medium
* SECURITY UPDATE: Zip Slip directory traversal when processing a crafted
EPUB file
- debian/patches/CVE-2019-14452-1.patch: do not allow zip files to have
upward relative path sections.
- debian/patches/CVE-2019-14452-2.patch: further harden against malicious
epubs and produce error message.
- debian/patches/CVE-2019-14452-3.patch: harden plugin unzipping to
zip-slip attacks.
- CVE-2019-14452
2017-12-26 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.9+dfsg-1) unstable; urgency=medium
* New upstream version 0.9.9+dfsg.
https://sigil-ebook.com/2017/12/22/sigil-0-9-9-released
* d/copyright: update.
* d/watch: change matching pattern to match the new tarball.
* d/upstream/signing-key.asc: Add the upstream signing key.
* Bump debhelper compat level to 11.
* d/control:
+ Move Vcs-* to salsa.debian.org.
+ Bump Standards-Version to 4.1.2:
- Replace Priority:extra (deprecated) with optional.
+ Set Rules-Requires-Root: no.
+ Remove dependency on ${shlibs:Depends} from sigil-data.
+ Drop Recommends on Python 2, to help with deprecating it.
* d/rules:
+ Use dh_missing --fail-missing instead of dh_install --fail-missing.
+ Remove the get-orig-source target, that was just calling uscan.
+ Make some command more verbose.
2017-06-14 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.8+dfsg-2) unstable; urgency=medium
* Upload to unstable.
2017-03-22 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.8+dfsg-1) experimental; urgency=medium
* New upstream version 0.9.8+dfsg.
* Update copyright years.
* Add reccomends on python3-pyqt5.
Upstream suggests plugin writers to use it to write the UI.
2016-10-30 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.7+dfsg-1) unstable; urgency=medium
* New upstream version 0.9.7+dfsg:
+ d/copyright: update Files-Exclude field.
+ update jquery and jquery.scrollto symlinks.
+ d/patches/hunspell: drop, already upstream.
2016-10-17 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.6+dfsg-3) unstable; urgency=medium
* d/control: add "Multi-Arch: foreign" marker to sigil-data.
* Bump debhelper compat level to 10.
+ Drop explicit --parallel option, now default.
* Remove the 'reproducible' patch.
GCC produces deterministic __DATE__ and __TIME__ following
SOURCE_DATE_EPOCH, so removing them is not strictly needed anymore.
2016-08-04 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.6+dfsg-2) unstable; urgency=medium
* Drop the patch setting the SIGIL_DICTIONARY env variable in the launcher
script, and instead backport two paches from git that specify hunspell
dictionaries paths at build time (with /usr/share/hunspell being default
and hardcoded).
2016-06-19 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.6+dfsg-1) unstable; urgency=medium
* Imported Upstream version 0.9.6+dfsg.
* d/watch: fix dversionmangle to correctly mangle dfsg versions with a number.
2016-06-13 - Mattia Rizzolo <mattia@debian.org>
sigil (0.9.5+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 0.9.5+dfsg1
+ remove embedded, minified MathJax.
* Add patch to use system MathJax instead of the bundled one.  Thanks to
Dmitry Shachnev <mitya57@debian.org> for the help with the configuration!
* debian/control:
+ stop recommending a specific python3 version.  Closes: #812602
+ use https in Vcs-Git.
+ bump Standards-Version to 3.9.8, no changes needed.
+ add dependency on libjs-mathjax.
* debian/copyright:
+ update years.
+ add mathjax files to Files-Excluded.
* debian/watch: use the tarball manually uploaded by upstream.

See Also

Package Description
signapk_8.1.0+r23-2~18.04_all.deb Command line tool for signing Android ZIP/JAR/APK
signtos_8.1.0+r23-2~18.04_all.deb Android signing tool for signing Trusty images
simg2img_8.1.0+r23-5~18.04_all.deb Transitional package
slapd-smbk5pwd_2.4.45+dfsg-1ubuntu1.4_amd64.deb Keeps Samba and Kerberos passwords in sync within slapd
snap-confine_2.40+18.04_amd64.deb Transitional package for snapd
snapcraft-examples_2.43.1+18.04_all.deb examples and demos for snapcraft
snapcraft-parser_2.43.1+18.04_all.deb cloud parser for shared snapcraft parts
snapcraft_2.43.1+18.04_all.deb easily craft snaps
snapd-glib-tests_1.49-0ubuntu0.18.04.0_amd64.deb GLib snapd library (installed tests)
snapd-xdg-open_2.40+18.04_amd64.deb Transitional package for snapd-xdg-open
sndfile-programs_1.0.28-4ubuntu0.18.04.1_amd64.deb Sample programs that use libsndfile
snmptrapd_5.7.3+dfsg-1.8ubuntu3.3_amd64.deb Net-SNMP notification receiver
sntp_4.2.8p10+dfsg-5ubuntu7.1_amd64.deb Network Time Protocol - sntp client
software-properties-kde_0.96.24.32.11_all.deb manage the repositories that you install software from (qt)
solr-common_3.6.2+dfsg-18~18.04_all.deb Enterprise search server based on Lucene3 - common files
Advertisement
Advertisement